import {ImplementationFunction} from '@modal-sh/yasumi/backend';
import {operation as defineOperation} from '@modal-sh/yasumi';

export const name = 'patchDelta' as const;

export const method = 'PATCH' as const;

export const contentType = 'application/json-patch+json' as const;

export const operation = defineOperation({
	name,
	method,
	headers: {
		'Content-Type': contentType,
	},
});

export const implementation: ImplementationFunction = async (ctx) => {

};
